# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/AFML/test
# Build directory: /Users/h/sdk-folder/sdk-build/AFML/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(AudioActivityTrackerTest.noActivityUpdate "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.noActivityUpdate")
add_test(AudioActivityTrackerTest.emptyActivityUpdate "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.emptyActivityUpdate")
add_test(AudioActivityTrackerTest.oneActiveChannel "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.oneActiveChannel")
add_test(AudioActivityTrackerTest.oneActiveChannelWithAIPAsInterface "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.oneActiveChannelWithAIPAsInterface")
add_test(AudioActivityTrackerTest.oneActiveChannelWithDefaultAndAIPAsInterfaces "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.oneActiveChannelWithDefaultAndAIPAsInterfaces")
add_test(AudioActivityTrackerTest.twoActiveChannels "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.twoActiveChannels")
add_test(AudioActivityTrackerTest.oneActiveOneIdleChannels "/Users/h/sdk-folder/sdk-build/AFML/test/AudioActivityTrackerTest" "--gtest_filter=AudioActivityTrackerTest.oneActiveOneIdleChannels")
add_test(FocusManagerTest.acquireInvalidChannelName "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.acquireInvalidChannelName")
add_test(FocusManagerTest.acquireChannelWithNoOtherChannelsActive "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.acquireChannelWithNoOtherChannelsActive")
add_test(FocusManagerTest.acquireLowerPriorityChannelWithOneHigherPriorityChannelTaken "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.acquireLowerPriorityChannelWithOneHigherPriorityChannelTaken")
add_test(FocusManagerTest.aquireLowerPriorityChannelWithTwoHigherPriorityChannelsTaken "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.aquireLowerPriorityChannelWithTwoHigherPriorityChannelsTaken")
add_test(FocusManagerTest.acquireHigherPriorityChannelWithOneLowerPriorityChannelTaken "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.acquireHigherPriorityChannelWithOneLowerPriorityChannelTaken")
add_test(FocusManagerTest.kickOutActivityOnSameChannel "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.kickOutActivityOnSameChannel")
add_test(FocusManagerTest.simpleReleaseChannel "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.simpleReleaseChannel")
add_test(FocusManagerTest.simpleReleaseChannelWithIncorrectObserver "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.simpleReleaseChannelWithIncorrectObserver")
add_test(FocusManagerTest.releaseForegroundChannelWhileBackgroundChannelTaken "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.releaseForegroundChannelWhileBackgroundChannelTaken")
add_test(FocusManagerTest.simpleNonTargetedStop "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.simpleNonTargetedStop")
add_test(FocusManagerTest.threeNonTargetedStopsWithThreeActivitiesHappening "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.threeNonTargetedStopsWithThreeActivitiesHappening")
add_test(FocusManagerTest.stopForegroundActivityAndAcquireDifferentChannel "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.stopForegroundActivityAndAcquireDifferentChannel")
add_test(FocusManagerTest.stopForegroundActivityAndAcquireSameChannel "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.stopForegroundActivityAndAcquireSameChannel")
add_test(FocusManagerTest.releaseBackgroundChannelWhileTwoChannelsTaken "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.releaseBackgroundChannelWhileTwoChannelsTaken")
add_test(FocusManagerTest.kickOutActivityOnSameChannelWhileOtherChannelsActive "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.kickOutActivityOnSameChannelWhileOtherChannelsActive")
add_test(FocusManagerTest.addObserver "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.addObserver")
add_test(FocusManagerTest.removeObserver "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.removeObserver")
add_test(FocusManagerTest.activityTracker "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=FocusManagerTest.activityTracker")
add_test(ChannelTest.getName "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=ChannelTest.getName")
add_test(ChannelTest.getPriority "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=ChannelTest.getPriority")
add_test(ChannelTest.setObserverThenSetFocus "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=ChannelTest.setObserverThenSetFocus")
add_test(ChannelTest.priorityComparison "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=ChannelTest.priorityComparison")
add_test(ChannelTest.hasObserver "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=ChannelTest.hasObserver")
add_test(ChannelTest.getTimeAtIdle "/Users/h/sdk-folder/sdk-build/AFML/test/FocusManagerTest" "--gtest_filter=ChannelTest.getTimeAtIdle")
add_test(VisualActivityTrackerTest.noActivityUpdate "/Users/h/sdk-folder/sdk-build/AFML/test/VisualActivityTrackerTest" "--gtest_filter=VisualActivityTrackerTest.noActivityUpdate")
add_test(VisualActivityTrackerTest.emptyActivityUpdate "/Users/h/sdk-folder/sdk-build/AFML/test/VisualActivityTrackerTest" "--gtest_filter=VisualActivityTrackerTest.emptyActivityUpdate")
add_test(VisualActivityTrackerTest.oneIdleChannel "/Users/h/sdk-folder/sdk-build/AFML/test/VisualActivityTrackerTest" "--gtest_filter=VisualActivityTrackerTest.oneIdleChannel")
add_test(VisualActivityTrackerTest.oneActiveChannel "/Users/h/sdk-folder/sdk-build/AFML/test/VisualActivityTrackerTest" "--gtest_filter=VisualActivityTrackerTest.oneActiveChannel")
add_test(VisualActivityTrackerTest.invalidChannelActivityUpdate "/Users/h/sdk-folder/sdk-build/AFML/test/VisualActivityTrackerTest" "--gtest_filter=VisualActivityTrackerTest.invalidChannelActivityUpdate")
add_test(VisualActivityTrackerTest.validChannelTwoActivityUpdates "/Users/h/sdk-folder/sdk-build/AFML/test/VisualActivityTrackerTest" "--gtest_filter=VisualActivityTrackerTest.validChannelTwoActivityUpdates")
